        program sample

        CHARACTER(LEN=144), PARAMETER :: filename = &
&       "../data/GPM/DPR/GPMCOR_DPR_2604010211_0345_068594_L2S_DD2_08A.nc.precipRateESurface"

        ! read data area 
        real*4 precipRateESurface(49,7988)

        ! binary file open 
        open(10,file=filename,access='direct',status='old',recl=4*49*7988)

        ! binary file read
        read(10,rec=1) precipRateESurface

        ! print the value 
        write(*,*) "filename=",filename,""
        write(*,*) "precipRateESurface(44,5211)=",precipRateESurface(44,5211), "(mm/hr)"
        write(*,*) "precipRateESurface(45,5211)=",precipRateESurface(45,5211), "(mm/hr)"

        ! binary file close 
        close(10)

        end
